package com.hxhq.business.form.gsp;

import com.hxhq.business.form.sj.PlczSjItemForm;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 批量处置供试品
 * @author HanLong
 */
public class GspPlczForm {

    @NotNull(message = "处置对象不能为空")
    private List<GspPlczItemForm> list;
    /**
     * 签名人id
     */
    private Long qmrId;

    /**
     * 签名人密码
     */
    @NotEmpty(message = "请输入签名人密码")
    private String qmrmm;

    public List<GspPlczItemForm> getList() {
        return list;
    }

    public void setList(List<GspPlczItemForm> list) {
        this.list = list;
    }

    public Long getQmrId() {
        return qmrId;
    }

    public void setQmrId(Long qmrId) {
        this.qmrId = qmrId;
    }

    public String getQmrmm() {
        return qmrmm;
    }

    public void setQmrmm(String qmrmm) {
        this.qmrmm = qmrmm;
    }
}
